<?php
/**
 * Author: ykxiao
 * Date: 2024/12/24
 * Time: 下午3:26
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Model;

class ColumnConfig extends Model
{
    protected ?string $table = 'column_config';

    protected array $fillable = [
        'company_id',
        'method',
        'prop',
        'label',
        'sortable',
        'sort',
        'width',
        'hide',
        'fix',
        'filter',
        'is_search',
        'search_type',
        'condition',
        'creator_id',
        'creator_name',
    ];

    protected array $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
        'sortable' => 'boolean',
        'hide' => 'boolean',
        'fix' => 'boolean',
        'filter' => 'boolean',
        'is_search' => 'boolean',
    ];
}